=== debian/changelog ===
sdl12-compat (0.0~git20210312.a719acd-1) unstable; urgency=low

  * Initial release. Closes: #985170.

 -- Stephen Kitt <skitt@debian.org>  Fri, 02 Apr 2021 22:35:55 +0200
