=== debian/changelog ===
sdl12-compat (0.0~git20210519.ebcbb11-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Sun, 23 May 2021 15:55:49 +0200
