=== debian/changelog ===
sdl12-compat (0.0~git20210619.4ad7ba6-1) unstable; urgency=medium

  * New upstream snapshot (with the ability to provide a development
    package, but this isn’t enabled yet).

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Jun 2021 11:55:55 +0200
