=== debian/control ===
--- 
+++ 
@@ -2,7 +2,12 @@
 Priority: optional
 Maintainer: Debian SDL package maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), libsdl2-dev
+Build-Depends:
+ cmake,
+ debhelper-compat (= 13),
+ libglu1-mesa-dev,
+ libsdl2-dev,
+ libx11-dev
 Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
