## sdl12-compat 0.0~git20210628.cf47f88

=== CMakeLists.txt ===
--- 
+++ 
@@ -105,6 +105,17 @@
 endif()
 
 
+# SDLmain library...
+if(APPLE)
+    add_library(SDLmain STATIC src/SDLmain/macosx/SDLmain.m)
+elseif(WIN32)
+    add_library(SDLmain STATIC src/SDLmain/win32/SDL_win32_main.c)
+    set_target_properties(SDLmain PROPERTIES COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")  # !!! FIXME: don't use C runtime? We fixed this in SDL2.
+else()
+    add_library(SDLmain STATIC src/SDLmain/dummy/SDL_dummy_main.c)
+endif()
+target_include_directories(SDLmain PRIVATE "include/SDL")
+
 if(SDL12TESTS)
     if(NOT (WIN32 OR APPLE OR CYGWIN OR HAIKU OR BEOS))
       find_library(MATH_LIBRARY m)
@@ -125,12 +136,17 @@
     macro(test_program _NAME _SRCS)
         add_executable(${_NAME} ${_SRCS})
         target_include_directories(${_NAME} PRIVATE "include/SDL")
-        target_link_libraries(${_NAME} SDL)
+        if(MINGW)
+          target_link_libraries(${_NAME} mingw32 SDLmain SDL)
+        else()
+          target_link_libraries(${_NAME} SDLmain SDL)
+        endif()
         # Turn off MSVC's aggressive C runtime warnings for the old test programs.
         if(MSVC)
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")
         elseif(APPLE)
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE};GL_SILENCE_DEPRECATION=1")
+          target_link_libraries(${_NAME} "-Wl,-framework,Cocoa")
         else()
           set_target_properties(${_NAME} PROPERTIES COMPILE_DEFINITIONS "${HAVE_OPENGL_DEFINE}")
         endif()
@@ -184,7 +200,7 @@
     endforeach(fname)
 endif()
 
-install(TARGETS SDL
+install(TARGETS SDL SDLmain
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
@@ -197,15 +213,13 @@
 
   if(NOT MSVC)
     if(WIN32)
-      # FIXME: no SDL_main for Windows!
-      set(SDL_CFLAGS "")                          # -Dmain=SDL_main
+      set(SDL_CFLAGS "")
       set(SDL_RLD_FLAGS "")
-      set(SDL_LIBS "-lSDL -mwindows")             # -lmingw32 -lSDLmain -lSDL -mwindows
+      set(SDL_LIBS "-lSDLmain -lSDL -mwindows")             # -lmingw32 -lSDL -mwindows
       set(SDL_STATIC_LIBS "")
     elseif(APPLE)
-      # FIXME: no SDL_main for Mac!
-      set(SDL_CFLAGS "-D_THREAD_SAFE")            # -Dmain=SDL_main
-      set(SDL_LIBS "-lSDL")                       #       -lSDLmain
+      set(SDL_CFLAGS "-D_THREAD_SAFE")
+      set(SDL_LIBS "-lSDLmain -lSDL -Wl,-framework,Cocoa")
       set(SDL_STATIC_LIBS "")
       set(SDL_RLD_FLAGS "")  # !!! FIXME: this forces rpath, which we might want?
     else() # unix
