=== debian/changelog ===
sdl12-compat (0.0~git20210628.cf47f88-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix the incorrect mention of SDL 1.0 in the package descriptions.

 -- Stephen Kitt <skitt@debian.org>  Tue, 29 Jun 2021 21:36:33 +0200
