=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 1.0.
+ against SDL 1.2, but using SDL 2.0.
  .
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.
@@ -43,7 +43,7 @@
 Provides: libsdl1.2debian (= 1.2.15-1)
 Description: libsdl1.2debian replacement using SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
- against SDL 1.2, but using SDL 1.0.
+ against SDL 1.2, but using SDL 2.0.
  .
  If you are writing new code, please target SDL 2.0 directly instead
  of using this layer.
