=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@ -Scmake

override_dh_makeshlibs:
	dh_makeshlibs -plibsdl1.2-compat -n

override_dh_shlibdeps:
	dh_shlibdeps -plibsdl1.2-compat -lusr/lib/$(DEB_HOST_MULTIARCH)/sdl12-compat
