=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
https://github.com/libsdl-org/sdl12-compat \
HEAD debian uupdate
