## sdl12-compat 0.0~git20210909.a98590a

=== debian/changelog ===
sdl12-compat (0.0~git20210909.a98590a-1) unstable; urgency=medium

  * New upstream snapshot.
  * Since the library dlopens libsdl2, the package needs an explicit
    dependency on libsdl2-2.0-0.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 11 Sep 2021 19:07:37 +0200

sdl12-compat (0.0~git20210814.a3bfcb2-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Aug 2021 16:21:22 +0200
