## sdl12-compat 0.0~git20211015.36a09e4

=== debian/changelog ===
sdl12-compat (0.0~git20211015.36a09e4-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 Oct 2021 17:27:46 +0200
