=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libglu1-mesa-dev,
  libsdl2-dev,
  libx11-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
@@ -18,7 +18,7 @@
 Package: libsdl1.2-compat
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsdl2-2.0-0
 Pre-Depends: ${misc:Pre-Depends}
 Description: SDL 1.2 binary compatibility library wrapping SDL 2.0
  libsdl1.2-compat provides a binary compatible API for programs built
