## sdl12-compat 0.0~git20211212.74b56a8

=== debian/changelog ===
sdl12-compat (0.0~git20211212.74b56a8-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Sun, 12 Dec 2021 17:50:26 +0100
