## sdl12-compat 0.0~git20220128.b3328aa

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,12 @@
   set(DYLIB_COMPAT_VERSION 1.0.0 CACHE STRING "library compatibility version")
   set(DYLIB_CURRENT_VERSION 12.50.0 CACHE STRING "library current version")
   include_directories("/opt/X11/include")  # hack.
-endif()
+  if(CMAKE_VERSION VERSION_LESS 3.9)
+  else()
+    cmake_policy(SET CMP0068 NEW)  # on macOS, don't let RPATH affect install_name.
+  endif()
+endif()
+
 if(WIN32)
   set(WIN32_SRCS "src/version.rc")
 endif()
@@ -39,32 +44,44 @@
 add_library(SDL SHARED ${SDL12COMPAT_SRCS})
 
 include(CheckCSourceCompiles)
+include(CheckIncludeFile)
+include(CheckCCompilerFlag)
 
 include(GNUInstallDirs)
 include("cmake/modules/FindSDL2.cmake")
 target_include_directories(SDL PRIVATE ${SDL2_INCLUDE_DIRS})
 
+set(EXTRA_CFLAGS )
 if (CMAKE_C_COMPILER_ID MATCHES "Clang|GNU")
-  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror=declaration-after-statement") # force these universally.
-endif()
-
-# avoid DLL having 'lib' prefix with Windows MinGW builds
-if(WIN32)
-  set(CMAKE_SHARED_LIBRARY_PREFIX "")
-  set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
-endif()
+  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wall")
+  check_c_compiler_flag(-Wdeclaration-after-statement HAVE_WDECLARATION_AFTER_STATEMENT)
+  if(HAVE_WDECLARATION_AFTER_STATEMENT)
+    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Wdeclaration-after-statement")
+  endif()
+  check_c_compiler_flag(-Werror=declaration-after-statement HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
+  if(HAVE_WERROR_DECLARATION_AFTER_STATEMENT)
+    set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -Werror=declaration-after-statement")
+  endif()
+endif()
+# just in case:
+check_include_file("immintrin.h" HAVE_IMMINTRIN_H)
+if(NOT HAVE_IMMINTRIN_H)
+  set(EXTRA_CFLAGS "${EXTRA_CFLAGS} -DSDL_DISABLE_IMMINTRIN_H")
+endif()
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_CFLAGS}")
+string(STRIP "${CMAKE_C_FLAGS}" CMAKE_C_FLAGS)
 
 if(UNIX AND NOT APPLE)
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_REENTRANT")
     target_link_libraries(SDL PRIVATE dl)
 endif()
 if(APPLE)
+    set_target_properties(SDL PROPERTIES INSTALL_NAME_DIR "")
     set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "_THREAD_SAFE")
     set_target_properties(SDL PROPERTIES LINK_FLAGS
             "-Wl,-compatibility_version,${DYLIB_COMPAT_VERSION} -Wl,-current_version,${DYLIB_CURRENT_VERSION}")
     target_link_libraries(SDL PRIVATE "-framework AppKit")
     set_target_properties(SDL PROPERTIES
-        MACOSX_RPATH 1
         OUTPUT_NAME "SDL-1.2.0"
     )
 elseif(UNIX AND NOT ANDROID)
@@ -72,6 +89,20 @@
         VERSION "${SDL12_COMPAT_VERSION_STR}"
         SOVERSION "0"
         OUTPUT_NAME "SDL-1.2")
+elseif(WIN32)
+    # avoid DLL having 'lib' prefix with MinGW
+    set(CMAKE_SHARED_LIBRARY_PREFIX "")
+    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "DLL_EXPORT")
+    set_target_properties(SDL PROPERTIES
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        SOVERSION "0"
+      OUTPUT_NAME "SDL")
+elseif(OS2)
+    set_target_properties(SDL PROPERTIES COMPILE_DEFINITIONS "BUILD_SDL") # for DECLSPEC
+    set_target_properties(SDL PROPERTIES
+        VERSION "${SDL12_COMPAT_VERSION_STR}"
+        SOVERSION "0"
+        OUTPUT_NAME "SDL12")
 else()
     set_target_properties(SDL PROPERTIES
         VERSION "${SDL12_COMPAT_VERSION_STR}"
@@ -107,7 +138,8 @@
 
 # SDLmain library...
 if(APPLE)
-    add_library(SDLmain STATIC src/SDLmain/macosx/SDLmain.m)
+    add_library(SDLmain STATIC src/SDLmain/macosx/SDLMain.m)
+    set_source_files_properties(src/SDLmain/macosx/SDLMain.m PROPERTIES LANGUAGE C)
 elseif(WIN32)
     add_library(SDLmain STATIC src/SDLmain/win32/SDL_win32_main.c)
     set_target_properties(SDLmain PROPERTIES COMPILE_DEFINITIONS "_CRT_SECURE_NO_WARNINGS;_CRT_SECURE_NO_DEPRECATE;_CRT_NONSTDC_NO_DEPRECATE")  # !!! FIXME: don't use C runtime? We fixed this in SDL2.
@@ -215,7 +247,7 @@
     if(WIN32)
       set(SDL_CFLAGS "")
       set(SDL_RLD_FLAGS "")
-      set(SDL_LIBS "-lSDLmain -lSDL -mwindows")             # -lmingw32 -lSDL -mwindows
+      set(SDL_LIBS "-lmingw32 -lSDLmain -lSDL -mwindows")
       set(SDL_STATIC_LIBS "")
     elseif(APPLE)
       set(SDL_CFLAGS "-D_THREAD_SAFE")
