=== debian/changelog ===
sdl12-compat (0.0~git20220128.b3328aa-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Stephen Kitt <skitt@debian.org>  Fri, 18 Feb 2022 22:31:39 +0100
