=== debian/watch ===
version=4
https://github.com/libsdl-org/@PACKAGE@/releases .*/release-@ANY_VERSION@@ARCHIVE_EXT@
