## sdl12-compat 1.2.56

=== debian/changelog ===
sdl12-compat (1.2.56-2) unstable; urgency=medium

  * d/p/Revert-video-Optimize-temporarily-saving-of-dest-alpha-fo.patch:
    Drop patch, superseded by the one below
  * d/p/RestoreDestAlpha-Fix-out-of-bounds-access-to-buffer.patch:
    Use a more minimal solution for the amoebax crash seen with 1.2.54,
    which has been applied upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 19 Sep 2022 15:10:25 +0100

sdl12-compat (1.2.56-1) unstable; urgency=medium

  * d/watch: Update for Github website changes
  * New upstream release
  * Update symbols files to add new SDL12COMPAT_GetWindow()
  * Drop patches that were included in the upstream release
  * d/p/Revert-video-Optimize-temporarily-saving-of-dest-alpha-fo.patch:
    Revert a commit that causes a crash in amoebax

 -- Simon McVittie <smcv@debian.org>  Sun, 18 Sep 2022 15:39:06 +0100

sdl12-compat (1.2.54-1) experimental; urgency=medium

  * New upstream prerelease
  * d/patches: Add post-prerelease bug fixes from upstream
  * d/watch.devel: Add a parallel watch file for prereleases
  * Update Lintian overrides
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Sep 2022 12:57:46 +0100

sdl12-compat (1.2.52-4) unstable; urgency=medium

  * d/rules: Normalize permissions of installed-tests.
    This avoids the permissions (in particular the group-write bit)
    varying when built with a different umask. (Closes: #1006870)

 -- Simon McVittie <smcv@debian.org>  Tue, 08 Mar 2022 11:25:11 +0000
