=== debian/changelog ===
sdl12-compat (1.2.60-1) unstable; urgency=medium

  * New upstream release
  * d/p/fix-SDL12COMPAT_MAX_VIDMODE.patch:
    Add a post-release bug fix as a patch

 -- Simon McVittie <smcv@debian.org>  Fri, 28 Oct 2022 18:09:42 +0100

sdl12-compat (1.2.58-1) experimental; urgency=medium

  * New upstream prerelease
  * d/p/RestoreDestAlpha-Fix-out-of-bounds-access-to-buffer.patch:
    Drop patch, included upstream

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Oct 2022 10:40:31 +0100
