=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libglu1-mesa-dev,
  libsdl2-dev,
  libx11-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://github.com/libsdl-org/sdl12-compat
 Vcs-Git: https://salsa.debian.org/sdl-team/sdl12-compat.git
