=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,4 @@
 # quite right for installed-tests
 override_dh_fixperms:
 	dh_fixperms -Xusr/libexec/installed-tests
+	chmod --recursive a+rX,u+w,og-w debian/*-tests/usr/libexec/installed-tests
